KTextEditor::BlockSelectionInterface Class Referenceabstract

`#include <blockselectioninterface.h>`

## Public Member Functions

unsigned int | blockSelectionInterfaceNumber () const
virtual bool | blockSelectionMode ()=0
virtual bool | setBlockSelectionMode (bool on)=0
virtual bool | toggleBlockSelectionMode ()=0

## Protected Member Functions

void | setBlockSelectionInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateBlockSelectionInterface

## Detailed Description

An interface for the Document class which allows the selection method to be changed between selecting rectangular blocks of text and normal mode (all text between the start cursor and the current cursor).

Definition at line 34 of file blockselectioninterface.h.

## Member Function Documentation

virtual bool KTextEditor::BlockSelectionInterface::blockSelectionMode | ( |  | ) |

pure virtual

slots !!!

Returns the status of the selection mode - true indicates block selection mode is on. If this is true, selections applied via the SelectionInterface are handled as blockselections and the paste functions of the ClipboardInterface works on rectangular blocks of text rather than normal. (copy too, but thats clear I hope ;)

virtual bool KTextEditor::BlockSelectionInterface::setBlockSelectionMode | ( | bool | on | ) |

pure virtual

Set block selection mode to state "on".

virtual bool KTextEditor::BlockSelectionInterface::toggleBlockSelectionMode | ( |  | ) |

pure virtual

toggle block seletion mode

The documentation for this class was generated from the following files:

- blockselectioninterface.h
- blockselectioninterface.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys